Skip to main content
GET
/
transactions
/
transaction-list
curl -X GET "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x049d365...&page=1&limit=10" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx"
{
  "data": [
    {
      "id": "tx_abc123",
      "type": "SEND",
      "chain": "STARKNET",
      "transactionHash": "0x1234567890abcdef...",
      "senderAddress": "0x049d365...",
      "destinationAddress": "0x0abcdef...",
      "token": "USDC",
      "tokenAddress": "0x033068F6539f8e6e6b131e6B2B814e6c34A5224bC66947c47DaB9dFeE93b35fb",
      "amount": "10500000",
      "status": "SUCCESS",
      "createdAt": "2025-03-15T10:30:00Z",
      "confirmedAt": "2025-03-15T10:31:00Z",
      "updatedAt": "2025-03-15T10:31:00Z",
      "apiPublicKey": "pk_xxxx"
    }
  ],
  "total": 42,
  "page": 1,
  "limit": 10,
  "totalPages": 5
}
curl -X GET "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x049d365...&page=1&limit=10" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx"
{
  "data": [
    {
      "id": "tx_abc123",
      "type": "SEND",
      "chain": "STARKNET",
      "transactionHash": "0x1234567890abcdef...",
      "senderAddress": "0x049d365...",
      "destinationAddress": "0x0abcdef...",
      "token": "USDC",
      "tokenAddress": "0x033068F6539f8e6e6b131e6B2B814e6c34A5224bC66947c47DaB9dFeE93b35fb",
      "amount": "10500000",
      "status": "SUCCESS",
      "createdAt": "2025-03-15T10:30:00Z",
      "confirmedAt": "2025-03-15T10:31:00Z",
      "updatedAt": "2025-03-15T10:31:00Z",
      "apiPublicKey": "pk_xxxx"
    }
  ],
  "total": 42,
  "page": 1,
  "limit": 10,
  "totalPages": 5
}

Date Filtering

You can filter transactions by date using day, month, and year parameters:
# Get all transactions from March 2025
curl "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x...&month=3&year=2025"

# Get transactions from March 15, 2025
curl "https://api.chipipay.com/v1/transactions/transaction-list?walletAddress=0x...&day=15&month=3&year=2025"

Function Filtering

Filter by contract function name to see specific types of transactions:
# Only transfer transactions
curl "...&calledFunction=transfer"

# Only approve transactions
curl "...&calledFunction=approve"

Authorizations

Authorization
string
header
required

Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls

x-api-key
string
header
required

Your Chipi public API key (pk_xxx)

Query Parameters

walletAddress
string
required

The wallet address to get transactions for

page
integer
default:1

Page number (default: 1)

limit
integer
default:10

Items per page (default: 10)

calledFunction
string

Filter by contract function name (e.g., "transfer", "approve")

day
integer

Filter by day of month (1-31)

Required range: 1 <= x <= 31
month
integer

Filter by month (1-12)

Required range: 1 <= x <= 12
year
integer

Filter by year (e.g., 2025)

Response

Paginated transaction list

data
object[]
required
total
integer
required

Total number of matching transactions

page
integer
required

Current page number

limit
integer
required

Items per page

totalPages
integer
required

Total number of pages